---
apiVersion: etcd.aenix.io/v1alpha1
kind: EtcdCluster
metadata:
  name: "{{ k8s_etcd_name }}"
  namespace: "{{ k8s_etcd_namespace }}"
spec:
  replicas: {{ k8s_etcd_instances }}
  options:
    election-timeout: "{{ k8s_etcd_election_timeout }}"
    max-wals: "{{ k8s_etcd_max_wals}}"
    max-snapshots: "{{ k8s_etcd_max_snapshots }}"
  storage:
    type: PersistentVolumeClaim
    volumeClaimTemplate:
      spec:
        storageClassName: "{{ k8s_etcd_storageclass }}"
        accessModes: [ "ReadWriteOnce" ]
        resources:
          requests:
            storage: "{{ k8s_etcd_storagesize }}"
  minAvailable: 1
